#version 330 core

#ifdef GL_ES
precision mediump float;
#endif

in  vec2      v_texCoords;
uniform sampler2D u_texture;
uniform vec4      u_maskColor;

out vec4 fragColor;

void main() {
    vec4 texColor = texture(u_texture, v_texCoords);
    if (texColor.a > 0.1) {
        fragColor = u_maskColor;
    } else {
        discard;
    }
}
